Name:           dav1d
Version:        0.5.2
Release:        3
Summary:        AV1 cross-platform Decoder

License:        BSD
URL:            https://code.videolan.org/videolan/dav1d
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc nasm doxygen
BuildRequires:  meson >= 0.47.0

%description
dav1d is a new AV1 cross-platform Decoder, open-source, and focused on speed
and correctness.

%package -n libdav1d
Summary:        Library files for dav1d

%description -n libdav1d
Library files for dav1d, the AV1 cross-platform Decoder.

%package -n libdav1d-devel
Summary:        Development files for dav1d
Requires:       libdav1d%{?_isa} = %{version}-%{release}

%description -n libdav1d-devel
Development files for dav1d, the AV1 cross-platform Decoder.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson --buildtype=release

%meson_build
%ninja_build -C %{_vpath_builddir} doc/html

%install
%meson_install

%check
%meson_test

%files
%license COPYING doc/PATENTS
%doc CONTRIBUTING.md NEWS README.md
%{_bindir}/dav1d

%files -n libdav1d
%license COPYING doc/PATENTS
%{_libdir}/libdav1d.so.3*

%files -n libdav1d-devel
%doc %{_host_alias}/doc/html
%{_includedir}/%{name}
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Jun 20 2022 zhangfan <zhangfan4@kylinos.cn> - 0.5.2-3
- Update Source0

* Sat Jun 26 2021 caodongxia <caodongxia@huawei.com> - 0.5.2-2
- Fix doc/html build method.

* Fri May 07 2021 weidong <weidong@uniontech.com> - 0.5.2-1
- Initial package.

